--- freebios-old/src/superio/sis/950/superio.c	Thu Jul 19 05:10:50 2001
+++ freebios/src/superio/sis/950/superio.c	Sat Apr 26 23:12:12 2003
@@ -66,13 +66,20 @@
 static void
 enable_lpt(struct superio *s)
 {
-	/* now set the LDN to floppy LDN */
+	/* now set the LDN to lpt LDN */
 	outb(0x7, s->port);	/* pick reg. 7 */
 	outb(0x3, s->port+1);	/* LDN 3 to reg. 7 */
 
 	/* now select register 0x30, and set bit 1 in that register */
 	outb(0x30, s->port);
 	outb(0x1, s->port+1);
+
+	/* select "Parallel Port Special Configuration Register", index=F0h
+	 * bit 3   = '1'  -> disable post data port
+	 * bit 1-0 = '11' -> SPP & EPP & ECP
+	 */
+	outb(0xf0, s->port);
+	outb(0x0b, s->port+1);
 }
 
 static void
